Chaotic aur, eos mirror updates and pacman.conf

There is an excellent thread about aur priority. Wondering if i make this change if i will be able to do the eos-mirror updates or not, because the chaotic aur refers to something about the pacman mirrors. so i am little confused.

First, what problem are you trying to solve?

Next, what change are you referring to, specifically?

i want to use chaotic aur, so should i simply follow the instructions found in the chaotic aur website and i follow alias and twin config method.

$yay
:: Synchronizing package databases...
 core is up to date
 extra is up to date
 community is up to date
 multilib is up to date
 endeavouros is up to date
 chaotic-aur is up to date
:: Starting full system upgrade...
resolving dependencies...
warning: cannot resolve "libicuuc.so=71-64", a dependency of "brltty"
warning: cannot resolve "libicuuc.so=71-64", a dependency of "harfbuzz-icu"
warning: cannot resolve "libicuuc.so=71-64", a dependency of "raptor"
warning: cannot resolve "libicui18n.so=71-64", a dependency of "thunderbird"
warning: cannot resolve "libicuuc.so=71-64", a dependency of "thunderbird"
warning: cannot resolve "libicuuc.so=71-64", a dependency of "harfbuzz-icu"
warning: cannot resolve "libicuuc.so=71-64", a dependency of "harfbuzz-icu"
:: The following packages cannot be upgraded due to unresolvable dependencies:
      brltty  harfbuzz-icu  raptor  thunderbird

:: Do you want to skip the above packages for this upgrade? [y/N] 

How to resolve this please. the latest install was xonsh-git prior to this.

Try resorting your mirrors. Perhaps you are on a partially updated mirror?

It looks like icu is out of sync with the other packages.

thanks dalto

$eos-rankmirrors

solved the problem.

2 Likes